CanVox

CanVox please help me. It doesn't let me update the Tekkit Pack to 1.3. I tried to re-download the pack and the launcher, but it still doesn't work. Please Help! :C
Posted by Mastivious on CanVox's profile 6 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
Tekkit doesn't have a version 1.3.
Posted by CanVox 6 years ago